org.keycloak.dom.saml.v2.assertion

## Class SubjectType

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.SubjectType

- All Implemented Interfaces:
    Serializable

      public class SubjectType
      extends Object
      implements Serializable

  Java class for SubjectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <sequence>
                 <choice>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}BaseID"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
                   <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
                 </choice>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmation" maxOccurs="unbounded"
       minOccurs="0"/>
               </sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}SubjectConfirmation" maxOccurs="unbounded"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SubjectType.STSubType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<SubjectConfirmationType>` | `subjectConfirmation`
    `protected SubjectType.STSubType` | `subType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConfirmation(SubjectConfirmationType con)` Add a subject confirmation
    `List<SubjectConfirmationType>` | `getConfirmation()` Get a list of subject confirmations
    `int` | `getCount()` Get the size of subject confirmations
    `SubjectType.STSubType` | `getSubType()` Get the `SubjectType.STSubType`
    `void` | `removeConfirmation(SubjectConfirmationType con)` Remove a subject confirmation
    `void` | `setSubType(SubjectType.STSubType subType)` Set the `SubjectType.STSubType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### subjectConfirmation

          protected List<SubjectConfirmationType> subjectConfirmation

    - #### subType

          protected SubjectType.STSubType subType

  - ### Constructor Detail

    - #### SubjectType

          public SubjectType()

  - ### Method Detail

    - #### getSubType

          public SubjectType.STSubType getSubType()

      Get the `SubjectType.STSubType`
      Returns:

    - #### setSubType

          public void setSubType(SubjectType.STSubType subType)

      Set the `SubjectType.STSubType`
      Parameters:
        `subType` -

    - #### getCount

          public int getCount()

      Get the size of subject confirmations
      Returns:

    - #### getConfirmation

          public List<SubjectConfirmationType> getConfirmation()

      Get a list of subject confirmations
      Returns:
        read only list of subject confirmation

    - #### addConfirmation

          public void addConfirmation(SubjectConfirmationType con)

      Add a subject confirmation
      Parameters:
        `con` -

    - #### removeConfirmation

          public void removeConfirmation(SubjectConfirmationType con)

      Remove a subject confirmation
      Parameters:
        `con` -

Copyright © 2016 JBoss by Red Hat. All rights reserved.